# $Revision: 1.41 $, $Date: 2002/11/06 13:13:29 $
Summary:	The FOX C++ GUI Toolkit
Summary(pl):	FOX - toolkit graficzny w C++
Name:		fox
Version:	1.0.26
Release:	1
License:	LGPL
Group:		X11/Libraries
Source0:	ftp://ftp.fox-toolkit.org/pub/%{name}-%{version}.tar.gz
URL:		http://www.cfdrc.com/FOX/fox.html
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libstdc++-devel
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1
%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for 3D
graphics. Subclassing of basic FOX widgets allows for easy extension
beyond the built-in widgets by application writers.

%description -l pl
FOX jest bibliotek bazujc na C++ do projektowania graficznych
interfejsw uytkownika. Obsuguje wiele waciwoci wspczesnych
GUI: Drag-and-Drop, listy, ikony, interfejsy wielodokumentowe (MDI),
liczniki, przetwarznie w tle, automatyczne uaktualnianie GUI, obsug
grafiki OpenGL. Bazowe klasy widgetw FOX pozwalaj na atwe
rozszerzanie.

%package progs
Summary:	FOX example applications
Summary(pl):	Przykady aplikacji w FOX
Group:		X11/Applications
Requires:	%{name} = %{version}
Obsoletes:	%{name}-example-apps

%description progs
Editor and file browser, written with FOX.

%description progs -l pl
Edytor i przegldarka plikw napisane z uyciem toolkitu FOX.

%package devel
Summary:	Header files and development documentation for the FOX library
Summary(pl):	Pliki nagwkowe i dokumentacja do biblioteki FOX
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and development documentation for the FOX library.

%description devel -l pl
Pliki nagwkowe i dokumentacja programisty do biblioteki FOX.

%package static
Summary:	FOX static libraries
Summary(pl):	Biblioteki statyczne FOX
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
FOX static libraries.

%description static -l pl
Biblioteki statyczne FOX.

%prep
%setup -q

%build
rm -f missing
libtoolize -c -f
%{__aclocal}
%{__autoconf}
%{__automake}
CPPFLAGS="%{rpmcflags} -frtti" \
#CFLAGS="%{rpmcflags} -frtti" \
%configure \
	--with-opengl=mesa \
	--enable-release
%{__make} GL_LIBS="-lGL -lGLU"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_datadir}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

cp -p pathfinder/.libs/PathFinder $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) /%{_bindir}/adie
%attr(755,root,root) /%{_bindir}/calculator
%attr(755,root,root) /%{_bindir}/PathFinder

%files devel
%defattr(644,root,root,755)
%doc ADDITIONS AUTHORS README TRACING doc
%attr(755,root,root) %{_bindir}/reswrap
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_mandir}/man1/*
%{_includedir}/fox

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: fox.spec,v $
Revision 1.41  2002/11/06 13:13:29  mkierus
- updated to 1.0.26 (bug fix)

Revision 1.40  2002/10/09 13:14:22  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.39  2002/08/24 23:26:26  mkierus
-updated to 1.0.21 (bugfix release)

Revision 1.38  2002/08/11 16:29:46  mkierus
-update to 1.0.18 (bugfix release)

Revision 1.37  2002/07/12 16:53:19  kloczek
- use new %doc.

Revision 1.36  2002/07/04 20:57:57  mkierus
- updated to 1.0.14 (bux fix)

Revision 1.35  2002/05/21 23:13:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.34  2002/05/15 14:37:14  mkierus
- updated to 1.0.11

Revision 1.33  2002/05/01 16:07:56  pioklo
- up to stable 1.0.10 version,STBR

Revision 1.32  2002/04/30 09:42:43  mkierus
- updated to 1.0.9

Revision 1.31  2002/04/25 16:19:22  arturs
fixed a small typo

Revision 1.30  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.29  2002/03/20 21:51:30  mkierus
- updated to 1.0.3 (bug fix)

Revision 1.28  2002/03/01 12:56:38  mkierus
- updated to 1.0.0 (first stable release)

Revision 1.27  2002/02/22 23:28:54  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/02/03 20:44:47  ankry
- adding es/pt/pt_BR Group translations

Revision 1.25  2002/01/18 02:12:58  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2002/01/11 11:25:33  mkierus
- optional style buffer was added
- style table support was added
- new API's added to manipulate contents of the style buffer
- minor bugfixes

Revision 1.23  2002/01/03 16:21:27  mkierus
- moving reswrap ( program to wrap icon resources into C code ) and man for it to devel pkg

Revision 1.22  2002/01/03 14:59:26  mkierus
- updated to 0.99.188
- fixed a few warnings, and one uninitialized memory read in FXTable
- completed FXSlider tickmark drawing
- warnings in fxpcxio.cpp fixed
- same minor bugfixes

Revision 1.21  2001/12/20 15:14:19  mkierus
- updated to 0.99.187
- the new class FXRex for regular expressions is now finished.
- added documentation to FXRex class.
- bullet-proofed FXString::left(), FXString::right(), FXString::mid(), and FXString::trunc() against bad arguments.
- fixed bug in FXTable drawing loops; references were made outside the cell array.
- fixed potential bug in ICO loader.

Revision 1.20  2001/12/17 21:02:22  mkierus
- updated to 0.99.185
- new class FXRex for regular expressions
- allows FOX GUI's to start in non-GUI mode
- more API's added

Revision 1.19  2001/11/28 17:13:44  mkierus
- updated to 0.99.181

Revision 1.18  2001/11/14 23:30:12  mkierus
 updated to 0.99.179

Revision 1.17  2001/10/22 08:58:45  mkierus
- updated to 0.99.177

Revision 1.16  2001/10/18 15:53:57  mkierus
- updated to 0.99.176

Revision 1.15  2001/10/03 19:05:42  kloczek
- add "rm -f missing" on top %build.

Revision 1.14  2001/10/03 16:44:21  filon
- changed req for main subpkg in static subpkg to devel
- release 2

Revision 1.13  2001/09/28 10:17:41  mkierus
- updated to 0.99.175

Revision 1.12  2001/09/26 10:20:20  qboosh
- BuildRequires: autoconf, automake, libtool, libstdc++-devel
- adapterized, added pl translations

Revision 1.11  2001/09/01 17:24:01  filon
- added rebuilding configuration files

Revision 1.10  2001/07/12 22:09:38  mkierus
- updated to 0.99.174

Revision 1.9  2001/06/27 09:16:05  kloczek
- updated to 0.99.173,
- rename exaple-apps subpackage to progs,
- added man pages level 1 to progs subpackage.

Revision 1.8  2001/05/15 11:23:45  mkierus
- updated to 0.99.172

Revision 1.7  2001/05/02 21:51:21  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2001/05/02 12:51:16  mkierus
- updated to 0.99.169

Revision 1.5  2001/04/11 22:06:13  kloczek
- final cleanup (many changes).

Revision 1.4  2001/04/09 09:52:59  mkierus
- updated to 0.99.167

Revision 1.3  2001/04/07 10:35:02  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.2  2001/03/15 11:40:07  mkierus
- updated to 0.99.164

Revision 1.1  2001/03/02 16:20:32  mkierus
- spec based on version included in tarball,
- rewrited in PLD style.
